updated : debian package scripts
authorgreg
Mon, 02 Mar 2009 16:15:43 +0100
changeset 533 4d50417dab22
parent 532 1ca55c717660
child 534 9012db875549
updated : debian package scripts
debian/canfestival-peak.postinst
debian/canfestival-peak.postrm
debian/canfestival-virtual.postinst
debian/canfestival-virtual.postrm
debian/control-peak
debian/control-peak_linux
debian/control-virtual
--- a/debian/canfestival-peak.postinst	Mon Mar 02 09:30:33 2009 +0100
+++ b/debian/canfestival-peak.postinst	Mon Mar 02 16:15:43 2009 +0100
@@ -17,10 +17,21 @@
 # for details, see http://www.debian.org/doc/debian-policy/ or
 # the debian-policy package
 
-
+DLL_LIST=
+CF_CONFIG=/usr/share/CanFestival-3/objdictgen/canfestival_config.py
+CF_CONFIG_TEMP=/usr/share/CanFestival-3/objdictgen/canfestival_config_ori.py
 case "$1" in
     configure)
-	ldconfig    
+    ldconfig
+    cd /usr/lib
+    DLL_LIST=
+	FILES=
+	for file in libcanfestival_can*
+	do
+		DLL_LIST="'$file',""$DLL_LIST"
+	done
+	cat $CF_CONFIG_TEMP > $CF_CONFIG
+	echo "DLL_LIST=[$DLL_LIST]" >> $CF_CONFIG
 	;;
 	
     abort-upgrade|abort-remove|abort-deconfigure)
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/canfestival-peak.postrm	Mon Mar 02 16:15:43 2009 +0100
@@ -0,0 +1,60 @@
+#!/bin/sh
+# postinst script for canfestival
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+DLL_LIST=
+CF_CONFIG=/usr/share/CanFestival-3/objdictgen/canfestival_config.py
+CF_CONFIG_TEMP=/usr/share/CanFestival-3/objdictgen/canfestival_config_ori.py
+
+case "$1" in
+    configure)
+    ;;
+	
+    remove|purge)
+    ldconfig
+    cd /usr/lib
+    cd /usr/lib
+	DLL_LIST=
+	FILES=
+
+	for file in libcanfestival_can*
+	do
+		DLL_LIST="'$file',""$DLL_LIST"
+	done
+
+	cat $CF_CONFIG_TEMP > $CF_CONFIG
+	echo "DLL_LIST=[$DLL_LIST]" >> $CF_CONFIG
+	;;
+    
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- a/debian/canfestival-virtual.postinst	Mon Mar 02 09:30:33 2009 +0100
+++ b/debian/canfestival-virtual.postinst	Mon Mar 02 16:15:43 2009 +0100
@@ -28,7 +28,7 @@
 	FILES=
 	for file in libcanfestival_can*
 	do
-		DLL_LIST="$file,""$DLL_LIST"
+		DLL_LIST="'$file',""$DLL_LIST"
 	done
 	cat $CF_CONFIG_TEMP > $CF_CONFIG
 	echo "DLL_LIST=[$DLL_LIST]" >> $CF_CONFIG
--- a/debian/canfestival-virtual.postrm	Mon Mar 02 09:30:33 2009 +0100
+++ b/debian/canfestival-virtual.postrm	Mon Mar 02 16:15:43 2009 +0100
@@ -28,14 +28,14 @@
     remove|purge)
     ldconfig
     cd /usr/lib
-    DLL_LIST=
+	DLL_LIST=
 	FILES=
 	for file in libcanfestival_can*
 	do
-		DLL_LIST="$file,""$DLL_LIST"
+		DLL_LIST="'$file',""$DLL_LIST"
 	done
 	cat $CF_CONFIG_TEMP > $CF_CONFIG
-	echo 'DLL_LIST=["$DLL_LIST"]' >> $CF_CONFIG
+	echo "DLL_LIST=[$DLL_LIST]" >> $CF_CONFIG
 	;;
     
     abort-upgrade|abort-remove|abort-deconfigure)
--- a/debian/control-peak	Mon Mar 02 09:30:33 2009 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,42 +0,0 @@
-Source: canfestival
-Section: devel
-Priority: standard
-Maintainer: lolitech <gregory.trelat@lolitech.fr>
-Build-Depends: debhelper (>= 5), autotools-dev, libwxgtk2.8-dev
-Standards-Version: 3.7.2
-
-Package: canfestival
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: <insert up to 60 chars description>
-
-Package: canfestival-devel
-Architecture: all
-Description: Canfestival library
- This package contains the CanFestival library for unix platform.
-
-Package: canfestival-examples
-Architecture: all
-Description: Program's Examples for canfestival
- This package contains some test programs you can use as example
- for your own developments.
- - TestMasterSlave : Two CanOpen nodes in the same process
- - TestMasterMicromod : A CanOpen master that control a peak MicroMod module
- - DS401_Master : Master Node for the DS401_Slave_Gui
- - DS401_Slave_Gui : Simulate an I/O module with GUI
-
-Package: canfestival-doc
-Architecture: all
-Description: Documentation for canfestival
-
-Package: canfestival-peak
-Architecture: all
-Description: Can Driver Interface for Peak Driver
-
-Package: canfestival-objdictedit
-Architecture: all
-Depends: python-wxgtk2.8, xpdf
-Description: A CanOpen Node Editor
- Objdictedit, the Object Dictionary Editor, is a WxPython based GUI that is used to
- create the C file needed to create a new CanOpen node.
-
--- a/debian/control-peak_linux	Mon Mar 02 09:30:33 2009 +0100
+++ b/debian/control-peak_linux	Mon Mar 02 16:15:43 2009 +0100
@@ -2,7 +2,7 @@
 Section: devel
 Priority: standard
 Maintainer: lolitech <gregory.trelat@lolitech.fr>
-Build-Depends: debhelper (>= 5), autotools-dev, libwxgtk2.8-dev
+Build-Depends: debhelper (>= 5), autotools-dev
 Standards-Version: 3.7.2
 
 Package: canfestival-peak
--- a/debian/control-virtual	Mon Mar 02 09:30:33 2009 +0100
+++ b/debian/control-virtual	Mon Mar 02 16:15:43 2009 +0100
@@ -2,7 +2,7 @@
 Section: devel
 Priority: standard
 Maintainer: lolitech <gregory.trelat@lolitech.fr>
-Build-Depends: debhelper (>= 5), autotools-dev, libwxgtk2.8-dev
+Build-Depends: debhelper (>= 5), autotools-dev
 Standards-Version: 3.7.2
 
 Package: canfestival-devel